Species
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced
Class Species

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Species

All Implemented Interfaces:
  java.lang.Comparable<Species>

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

    Constructor Summary

    Species(JSONObject obj)

    Method Summary

     void
    addField(Field toAddField)

    Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel

    fromXML, toXML

    Methods inherited from class java.lang.Object

    getClass, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    Species

    public Species(JSONObject obj)
            throws JSONException

    Throws:
    JSONException

    Species

    public Species(org.gcube.application.aquamaps.datamodel.Specie toLoad)

    Method Detail

    getAttributesList

    public java.util.List<Field> getAttributesList()

    setAttributesList

    public void setAttributesList(java.util.List<Field> attributesList)

    setId

    public void setId(java.lang.String id)

    getId

    public java.lang.String getId()

    getFieldbyName

    public Field getFieldbyName(java.lang.String fieldName)

    addField

    public void addField(Field toAddField)

    extractEnvelope

    public Envelope extractEnvelope()

    toJSONObject

    public JSONObject toJSONObject()
                            throws JSONException

    Throws:
    JSONException

    hashCode

    public int hashCode()

    Overrides:hashCode in class java.lang.Object

    equals

    public boolean equals(java.lang.Object obj)

    Overrides:equals in class java.lang.Object

    load

    public static java.util.List<Species> load(org.gcube.application.aquamaps.datamodel.SpeciesArray toLoad)

    toStubsVersion

    public static org.gcube.application.aquamaps.datamodel.SpeciesArray toStubsVersion(java.util.Set<Species> toConvert)

    toStubsVersion

    public org.gcube.application.aquamaps.datamodel.Specie toStubsVersion()

    compareTo

    public int compareTo(Species arg0)

    Specified by:compareTo in interface java.lang.Comparable<Species>

    getScientificName

    public java.lang.String getScientificName()

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD